regina::NSatBlockStarter Class Reference
Standard Triangulations and Subcomplexes

Contains a triangulation of a saturated block along with the accompanying saturated block description. More...

`#include <subcomplex/nsatblockstarter.h>`

Inheritance diagram for regina::NSatBlockStarter:

## Public Member Functions

| ~NSatBlockStarter ()
| Destroys both the internal triangulation and block structure. More...
const NTriangulation & | triangulation () const
| Returns a reference to the triangulation of the saturated block. More...
const NSatBlock * | block () const
| Returns details that describe the structure of the saturated block. More...

## Friends

class | NSatBlockStarterSet

## Detailed Description

Contains a triangulation of a saturated block along with the accompanying saturated block description.

Different objects of this class will correspond to different types of saturated block.

This is a support class for NSatBlockStarterSet, and as such it is a read-only class to the rest of the world.

This class is well-suited for subcomplex testing: if the triangulation here is found to be a subcomplex of some larger triangulation (see NTriangulation::isContainedIn()), then the corresponding isomorphism can be used to copy this block structure and transform it to describe the corresponding block in the larger triangulation.

As such, one of the core uses of this class is as a starting point for identifying regions within triangulations that are formed by joining saturated blocks together along their boundary annuli. See the routines NSatBlockStarterSearcher::findStarterBlocks() and NSatRegion::expand() for implementations of this.

Python:
  Not present.

## Constructor & Destructor Documentation

regina::NSatBlockStarter::~NSatBlockStarter | ( |  | ) |

inline

Destroys both the internal triangulation and block structure.

## Member Function Documentation

const NSatBlock * regina::NSatBlockStarter::block | ( |  | ) | const

inline

Returns details that describe the structure of the saturated block.

Returns
  the block structure.

const NTriangulation & regina::NSatBlockStarter::triangulation | ( |  | ) | const

inline

Returns a reference to the triangulation of the saturated block.

Returns
  the block triangulation.

The documentation for this class was generated from the following file:

- subcomplex/nsatblockstarter.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).